Skip to main content
`Ctrl`+`K`

# PetscFESetQuadrature

Sets the `PetscQuadrature` used to calculate inner products

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFESetQuadrature(PetscFE fem, PetscQuadrature q)

Not Collective

## Input Parameters

- fem - The `PetscFE` object

- q - The `PetscQuadrature` object

## See Also

`PetscFE`, `PetscSpace`, `PetscDualSpace`, `PetscQuadrature`, `PetscFECreate()`, `PetscFEGetFaceQuadrature()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fe.c

## Examples

src/snes/tutorials/ex23.c
src/ts/tutorials/ex53.c
src/snes/tutorials/ex62.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages